# Uses of Enum Class
java.net.Proxy.Type

Packages that use Proxy.Type
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of Proxy.Type in java.net

Methods in java.net that return Proxy.Type
Modifier and Type
Method
Description
`Proxy.Type`
Proxy.`type()`
Returns the proxy type.
`static Proxy.Type`
Proxy.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Proxy.Type[]`
Proxy.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in java.net with parameters of type Proxy.Type
Modifier
Constructor
Description
``
`Proxy(Proxy.Type type, SocketAddress sa)`
Creates an entry representing a PROXY connection.